| hoogle | Source code | Contents | Index

CmdLine.Flag

Description
Parse a list of flags supported in any of the front ends. Returns the flags in a data structure, along with any invalid flags. Deal with any files/include files in this stage.
Synopsis

data CmdFlag

= Version
| Web
| Help
| Test
| Color Bool
| Start Int
| Count Int
| Convert FilePath
| Output FilePath
| Dump String
| DataFile FilePath
| Verbose
| Info
| Debug
| Include FilePath
| TestFile FilePath
| Rank FilePath
| Combine FilePath
| Mode String

flagsHelp :: String
flagsWebArgs :: [(String, String)] -> IO ([CmdFlag], [String])
flagsWebQuery :: [(String, String)] -> IO ([CmdFlag], [String])
flagsCmdLine :: [(String, String)] -> IO ([CmdFlag], [String])

Documentation

data CmdFlag | Source

Constructors

Version | Version information
Web | Operate as a CGI process
Help | Help text
Test | Run the regression tests
Color Bool | Colors on the console
Start Int | First result to show
Count Int | Number of results to show
Convert FilePath | Convert a database
Output FilePath | Output file
Dump String | Dump a database to a file (optional section)
DataFile FilePath | Database location
Verbose | Display verbose information
Info | Display as much information as you can
Debug | Do debugging activities
Include FilePath | Include directory
TestFile FilePath | Run tests in a file
Rank FilePath | Generate rankings
Combine FilePath | Merge a set of databases
Mode String | Web modes

Instances

Enum CmdFlag
Eq CmdFlag
Show CmdFlag

flagsHelp :: String | Source

flagsWebArgs :: [(String, String)] -> IO ([CmdFlag], [String]) | Source

flags that are passed in through web arguments, i.e. ?foo=bar&...

flagsWebQuery :: [(String, String)] -> IO ([CmdFlag], [String]) | Source

flags that are given in the web query string

flagsCmdLine :: [(String, String)] -> IO ([CmdFlag], [String]) | Source

flags that are given in a query on the command line
Produced by Haddock version 2.4.2